<script setup>
import { Head, Link } from "@inertiajs/vue3";
import { ref } from "vue";

defineProps({
  canLogin: Boolean,
  canRegister: Boolean,
  laravelVersion: String,
  phpVersion: String,
});

const items = ref([
  {
    color: "red-lighten-2",
    icon: "mdi-star",
  },
  {
    color: "purple-lighten-2",
    icon: "mdi-book-variant",
  },
  {
    color: "green-lighten-1",
    icon: "mdi-airballoon",
  },
  {
    color: "indigo-lighten-2",
    icon: "mdi-buffer",
  },
]);
</script>

<template>
  <Head title="Welcome" />
  <div class="min-h-screen bg-gray-100 dark:bg-gray-900">
    <div class="sm:items-center sm:pt-0 justify-center relative flex items-top">
      <div
        v-if="canLogin"
        class="hidden fixed top-0 right-0 px-6 py-4 sm:block"
      >
        <Link
          v-if="$page.props.auth.user"
          :href="route('dashboard')"
          class="text-sm text-gray-700 dark:text-gray-500 underline"
          >Dashboard</Link
        >

        <template v-else>
          <Link
            :href="route('login')"
            class="text-sm text-gray-700 dark:text-gray-500 underline"
            >Log in</Link
          >

          <Link
            v-if="canRegister"
            :href="route('register')"
            class="ml-4 text-sm text-gray-700 dark:text-gray-500 underline"
            >Register</Link
          >
        </template>
      </div>
    </div>
    <div
      class="
        grid grid-cols-2
        gap-4
        justify-around
        max-w-6xl
        mx-auto
        sm:px-6
        lg:px-8
      "
    >
      <v-alert
        closable
        title="Hello World"
        text="Welcome to World"
        type="info"
      ></v-alert>
      <v-color-picker></v-color-picker>
      <v-timeline align="start">
        <v-timeline-item
          v-for="(item, i) in items"
          :key="i"
          :dot-color="item.color"
          :icon="item.icon"
          fill-dot
        >
          <v-card>
            <v-card-title :class="['text-h6', `bg-${item.color}`]">
              Lorem Ipsum Dolor
            </v-card-title>
            <v-card-text class="bg-white text--primary">
              <p>
                Lorem ipsum dolor sit amet, no nam oblique veritus. Commune
                scaevola imperdiet nec ut, sed euismod convenire principes at.
                Est et nobis iisque percipit, an vim zril disputando
                voluptatibus, vix an salutandi sententiae.
              </p>
              <v-btn :color="item.color" variant="outlined"> Button </v-btn>
            </v-card-text>
          </v-card>
        </v-timeline-item>
      </v-timeline>
    </div>
  </div>
</template>
